Skip to main content
GET
/
v1
/
transactions
/
{transaction_id}
Fetch Transaction Details
curl --request GET \
  --url https://sandbox.api.fin.com/v1/transactions/{transaction_id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "7f0124cd-6845-47d3-8b39-43f80cd50274",
    "transaction_type": "OFFRAMP",
    "beneficiary_id": "e6200609-1ebb-41bb-a4d3-fd9e3bae8419",
    "hash": "796b21c4412f1208918cf744e38b62c95aa55674baf62a0a3b8b189c212d0b7e",
    "transaction_ref_id": "7f0124cd-6845-47d3-8b39-43f80cd50274",
    "from_amount": 1.1,
    "payout_amount": 94.919,
    "processing_amount": 1.1,
    "status": "COMPLETED",
    "fx_rate": 86.29,
    "developer_fee": 1.25495,
    "developer_fee_percentage": 0.45,
    "developer_fee_fixed": 1.25,
    "from_currency": "USD",
    "payout_currency": "INR",
    "virtual_account_id": null,
    "created_at": "2026-01-08T08:27:22.345304Z",
    "updated_at": "2026-01-08T08:27:33.76357Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer token authentication. Obtain token from /v1/oauth/token endpoint

Path Parameters

transaction_id
string<uuid>
required

Unique identifier for the transaction

Response

Transaction details retrieved successfully

data
object
required